按Enter到主內容區
:::

法務部行政執行署臺南分署:回首頁

:::

[更新檢測與修補說明]Apache Log4j存在Log4Shell安全漏洞(CVE-2021-44228),允許攻擊者遠端執行任意程式碼,請儘速確認並進行更新

  • 發布日期:
  • 最後更新日期:111-02-15
  • 資料點閱次數:34

內容說明        Apache Log4j是一個Java日誌記錄工具,研究人員發現Log4j存在安全漏洞(CVE-2021-44228),攻擊者可藉由發送特製Log訊息,利用漏洞進而遠端執行任意程式碼       

影響平台        (1)Apache Log4j 2.0-beta92.14.1()版本

 

(2)漏洞檢測方式與相關技術細節詳見附件說明

 

影響等級               

建議措施        1.目前Apache Log4j官方網頁已針對此漏洞釋出更新程式,請各機關進行版本確認並更新,其中Java 8環境請更新至Log4j 2.17.0或之後版本、Java 7環境請更新至Log4j 2.12.3或之後版本、Java 6環境請更新至Log4j 2.3.1或之後版本:

 

2.漏洞修補前,亦可透過以下步驟停用JNDI Lookup功能,以緩解此漏洞

 

(1)針對log4j版本>=2.10的系統

 

A.請設定屬性「log4j2.formatMsgNoLookups=true」。

 

B.請設定環境變數「LOG4J_FORMAT_MSG_NO_LOOKUPS=true」。

 

(2)針對log4j版本為2.0-beta92.10.0的系統

 

請自類別路徑(class path)中移除JndiLookup.class。如執行下列指令,以自log4j-core中移除該類別:

 

zip -q -d log4j-core-*.jar org/apache/logging/log4j/core/lookup/JndiLookup.class」。

 

3.透過WAF對相關惡意語法進行過濾及阻擋

 

使用對外防護設備針對JNDI之相關惡意攻擊行為設定規則進行阻擋,例如”$(jndi:ldap://”。

 

4.評估於Java伺服器增加以下設定以防止下載與執行可能具風險之惡意Java Class

 

com.sun.jndi.ldap.object.trustURLCodebase設定為false,使JNDI無法使用LDAP下載遠端Java Class

回頁首